/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package unittestexempletest;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;
import unittestexemple.Calculator;

/**
 *
 * @author zzaier
 */
public class CalculatorAddMethodTest {



//    Failing Test Example
//      @Test
//    public void testAssertionFailure() {
//        System.out.println("Test 0 - Failing Test");
//        assertEquals(3, 2);
//    }
    
    
    @Test
    public void addTwoIntegerAsStringTest1() {
        System.out.println("Test 1 - two string values to add - same value");
        String value1 = "5";
        String value2 = "5";
        int expectedValue = 10;
        int realValue = Calculator.add(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void addTwoIntegerAsStringTest2() {
        System.out.println("Test 2 - two string values to add - different value");
        String value1 = "5";
        String value2 = "7";
        int expectedValue = 12;
        int realValue = Calculator.add(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void addTwoIntegerAsStringTest3() {
        System.out.println("Test 3 - two string values to add - One Negative value ");
        String value1 = "-5";
        String value2 = "7";
        int expectedValue = 2;
        int realValue = Calculator.add(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void addTwoIntegerAsStringTest4() {
        System.out.println("Test 4 - two string values to add - One Negative value ");
        String value1 = "-5";
        String value2 = "5";
        int expectedValue = 0;
        int realValue = Calculator.add(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void addTwoIntegerAsStringTest5() {
        System.out.println("Test 5 - two string values to add - two Negative values");
        String value1 = "-5";
        String value2 = "-7";
        int expectedValue = -12;
        int realValue = Calculator.add(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void addTwoIntegerAsStringTest6() {
        System.out.println("Test 6 - two string values to add - two Negative values");
        String value1 = "-5";
        String value2 = "-5";
        int expectedValue = -10;
        int realValue = Calculator.add(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void addTwoIntegerAsStringTest7() {
        System.out.println("Test 7 - two string values to add - One zero");
        String value1 = "0";
        String value2 = "7";
        int expectedValue = 7;
        int realValue = Calculator.add(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void addTwoIntegerAsStringTest8() {
        System.out.println("Test 8 - two string values to add -  One zero");
        String value1 = "-5";
        String value2 = "0";
        int expectedValue = -5;
        int realValue = Calculator.add(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void addTwoIntegerAsStringTest9() {
        System.out.println("Test 9 - two string values to add -  two zero");
        String value1 = "0";
        String value2 = "0";
        int expectedValue = 0;
        int realValue = Calculator.add(value1, value2);
        assertEquals(expectedValue, realValue);
    }

        @Test(expected=NumberFormatException.class)
        public void addTwoIntegerAsStringTest10() {
        System.out.println("Test 10 - two String values to add - one is not an integer");
        String value1 = "5";
        String value2 = "1a2";
        int realValue = Calculator.add(value1, value2);
        }

}
