/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package unittestexempletest;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;
import unittestexemple.Calculator;

/**
 *
 * @author zzaier
 */
public class CalculatorDivideMethodTest {

    @Test
    public void divideTwoIntegerAsStringTest1() {
        System.out.println("Test 1 - two string values to divide  ");
        String value1 = "8";
        String value2 = "5";
        double expectedValue = 1.60;
        double realValue = Calculator.divide(value1, value2);
        assertEquals(expectedValue, realValue, 0.01);
    }

    @Test
    public void divideTwoIntegerAsStringTest2() {
        System.out.println("Test 2 - two string values to divide  ");
        String value1 = "1";
        String value2 = "3";
        double expectedValue = 0.325;
        double realValue = Calculator.divide(value1, value2);
        //0.01 is your  delta - Result is 0.333333333..... 
        // delta =   0.323333...... < value < 0.3433333........
        assertEquals(expectedValue, realValue, 0.01);
    }

    @Test
    public void divideTwoIntegerAsStringTest3() {
        System.out.println("Test 3 - two string values to divide  ");
        String value1 = "8";
        String value2 = "2";
        double expectedValue = 4;
        double realValue = Calculator.divide(value1, value2);
        assertEquals(expectedValue, realValue, 0.01);
    }

    @Test
    public void divideTwoIntegerAsStringTest4() {
        System.out.println("Test 4 - two string values to divide  ");
        String value1 = "8";
        String value2 = "-2";
        double expectedValue = -4;
        double realValue = Calculator.divide(value1, value2);
        assertEquals(expectedValue, realValue, 0.01);
    }

    @Test
    public void divideTwoIntegerAsStringTest5() {
        System.out.println("Test 5 - two string values to divide  ");
        String value1 = "-8";
        String value2 = "-2";
        double expectedValue = 4;
        double realValue = Calculator.divide(value1, value2);
        assertEquals(expectedValue, realValue, 0.01);
    }
    
        @Test
    public void divideTwoIntegerAsStringTest6() {
        System.out.println("Test 6 - two string values to divide  ");
        String value1 = "0";
        String value2 = "2";
        double expectedValue = 0;
        double realValue = Calculator.divide(value1, value2);
        assertEquals(expectedValue, realValue, 0.01);
    }
    

    
            @Test(expected=NumberFormatException.class)
    public void divideTwoIntegerAsStringTest7() {
        System.out.println("Test 7 - two string values to divide  ");
        String value1 = "0";
        String value2 = "abc";
        double realValue = Calculator.divide(value1, value2);
        
    }

}
