/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package unittestexempletest;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;
import unittestexemple.Calculator;

/**
 *
 * @author zzaier
 */
public class CalculatorMultiplyMethodTest {
    
       @Test
    public void multiplyTwoIntegerAsStringTest1() {
        System.out.println("Test 1 - two string values to multiply - same value");
        String value1 = "5";
        String value2 = "5";
        int expectedValue = 25;
        int realValue = Calculator.multiply(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void multiplyTwoIntegerAsStringTest2() {
        System.out.println("Test 2 - two string values to multiply - different value");
        String value1 = "5";
        String value2 = "7";
        int expectedValue = 35;
        int realValue = Calculator.multiply(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void multiplyTwoIntegerAsStringTest3() {
        System.out.println("Test 3 - two string values to multiply - One Negative value ");
        String value1 = "-5";
        String value2 = "7";
        int expectedValue = -35;
        int realValue = Calculator.multiply(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void multiplyTwoIntegerAsStringTest4() {
        System.out.println("Test 4 - two string values to multiply - One Negative value ");
        String value1 = "-5";
        String value2 = "5";
        int expectedValue = -25;
        int realValue = Calculator.multiply(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void multiplyTwoIntegerAsStringTest5() {
        System.out.println("Test 5 - two string values to multiply - two Negative values");
        String value1 = "-5";
        String value2 = "-7";
        int expectedValue = 35;
        int realValue = Calculator.multiply(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void multiplyTwoIntegerAsStringTest6() {
        System.out.println("Test 6 - two string values to multiply - two Negative values");
        String value1 = "-5";
        String value2 = "-5";
        int expectedValue = 25;
        int realValue = Calculator.multiply(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void multiplyTwoIntegerAsStringTest7() {
        System.out.println("Test 7 - two string values to multiply - One zero");
        String value1 = "0";
        String value2 = "7";
        int expectedValue = 0;
        int realValue = Calculator.multiply(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void multiplyTwoIntegerAsStringTest8() {
        System.out.println("Test 8 - two string values to multiply -  One zero");
        String value1 = "-5";
        String value2 = "0";
        int expectedValue = 0;
        int realValue = Calculator.multiply(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void multiplyTwoIntegerAsStringTest9() {
        System.out.println("Test 9 - two string values to multiply -  two zero");
        String value1 = "0";
        String value2 = "0";
        int expectedValue = 0;
        int realValue = Calculator.multiply(value1, value2);
        assertEquals(expectedValue, realValue);
    }

        @Test(expected=NumberFormatException.class)
        public void multiplyTwoIntegerAsStringTest10() {
        System.out.println("Test 10 - two String values to multiply - one is not an integer");
        String value1 = "5";
        String value2 = "1a2";
        int realValue = Calculator.multiply(value1, value2);
        }
}
