/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package unittestexempletest;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;
import unittestexemple.Calculator;

/**
 *
 * @author zzaier
 */
public class CalculatorSubMethodTest {
    
   @Test
    public void subTwoIntegerAsStringTest1() {
        System.out.println("Test 1 - two string values to substract - same value");
        String value1 = "5";
        String value2 = "5";
        int expectedValue = 0;
        int realValue = Calculator.substract(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void subTwoIntegerAsStringTest2() {
        System.out.println("Test 2 - two string values to substract - different value");
        String value1 = "5";
        String value2 = "7";
        int expectedValue = -2;
        int realValue = Calculator.substract(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void subTwoIntegerAsStringTest3() {
        System.out.println("Test 3 - two string values to substract - One Negative value ");
        String value1 = "-5";
        String value2 = "7";
        int expectedValue = -12;
        int realValue = Calculator.substract(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void subTwoIntegerAsStringTest4() {
        System.out.println("Test 4 - two string values to substract - One Negative value ");
        String value1 = "-5";
        String value2 = "5";
        int expectedValue = -10;
        int realValue = Calculator.substract(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void subTwoIntegerAsStringTest5() {
        System.out.println("Test 5 - two string values to substract - two Negative values");
        String value1 = "-5";
        String value2 = "-7";
        int expectedValue = 2;
        int realValue = Calculator.substract(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void subTwoIntegerAsStringTest6() {
        System.out.println("Test 6 - two string values to substract - two Negative values");
        String value1 = "-5";
        String value2 = "-5";
        int expectedValue = 0;
        int realValue = Calculator.substract(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void subTwoIntegerAsStringTest7() {
        System.out.println("Test 7 - two string values to substract - One zero");
        String value1 = "0";
        String value2 = "7";
        int expectedValue = -7;
        int realValue = Calculator.substract(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void subTwoIntegerAsStringTest8() {
        System.out.println("Test 8 - two string values to substract -  One zero");
        String value1 = "-5";
        String value2 = "0";
        int expectedValue = -5;
        int realValue = Calculator.substract(value1, value2);
        assertEquals(expectedValue, realValue);
    }

    @Test
    public void subTwoIntegerAsStringTest9() {
        System.out.println("Test 9 - two string values to substract -  two zero");
        String value1 = "0";
        String value2 = "0";
        int expectedValue = 0;
        int realValue = Calculator.substract(value1, value2);
        assertEquals(expectedValue, realValue);
    }

        @Test(expected=NumberFormatException.class)
        public void subTwoIntegerAsStringTest10() {
        System.out.println("Test 10 - two String values to substract - one is not an integer");
        String value1 = "5";
        String value2 = "1a2";
        int realValue = Calculator.substract(value1, value2);
        }
}
